## Get shipping methods

### cURL

```
curl --request POST \
  --url https://api.fabric.inc/v3/shipping-methods/actions/filter-by-item-id \
  --header 'Authorization: Bearer <token>' \
  --header 'x-fabric-channel-id: <x-fabric-channel-id>' \
  --header 'x-fabric-tenant-id: <x-fabric-tenant-id>'
```

### Python

```
import requests

url = "https://api.fabric.inc/v3/shipping-methods/actions/filter-by-item-id"

headers = {
    "x-fabric-tenant-id": "<x-fabric-tenant-id>",
    "x-fabric-channel-id": "<x-fabric-channel-id>",
    "Authorization": "Bearer <token>"
}

response = requests.post(url, headers=headers)

print(response.text)
```

### JavaScript

```
const options = {
  method: 'POST',
  headers: {
    'x-fabric-tenant-id': '<x-fabric-tenant-id>',
    'x-fabric-channel-id': '<x-fabric-channel-id>',
    Authorization: 'Bearer <token>'
  }
};

fetch('https://api.fabric.inc/v3/shipping-methods/actions/filter-by-item-id', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP

```


```

### Possible Responses

#### Response Codes
- **200**: OK
- **400**: Bad Request
- **401**: Unauthorized
- **404**: Not Found
- **500**: Internal Server Error

#### Successful Response
```json
{
  "shippingMethods": [
    {
      "code": "SDD",
      "name": "Express Delivery",
      "addressType": "APO",
      "attributes": {
        "carrier": "FedEx",
        "type": "Next Day"
      },
      "carrier": "FedEx",
      "cartValue": {
        "max": 3.1,
        "min": 2.1
      },
      "channelId": "12",
      "configuredBy": "User3",
      "cost": 20.5,
      "createdAt": "2022-08-01T20:03:28.483Z",
      "createdBy": "User1",
      "currency": "USD",
      "cutoffTime": 1330,
      "description": "Express Delivery 2 - 5 days",
      "dimension": {
        "max": {
          "height": 2.4,
          "length": 4.6,
          "uom": "EA",
          "width": 3.5
        },
        "min": {
          "height": 2.4,
          "length": 4.6,
          "uom": "EA",
          "width": 3.5
        }
      },
      "isDeleted": false,
      "maximumDays": 5,
      "minimumDays": 2,
      "region": "CA",
      "shippingMethodId": "5349b4ddd2781d08c09890f4",
      "taxCode": "FR01",
      "updatedAt": "2022-08-01T20:03:28.483Z",
      "updatedBy": "User2",
      "weight": {
        "max": 3.1,
        "min": 2.1
      }
    }
  ]
}
```

#### Error Responses
```json
{
  "errors": [
    {
      "message": "Invalid request",
      "type": "CLIENT_ERROR"
    }
  ],
  "message": "Bad request",
  "type": "CLIENT_ERROR"
}
```
```json
{
  "message": "Unauthorized request",
  "type": "CLIENT_ERROR"
}
```
```json
{
  "message": "Shipping method not found",
  "type": "CLIENT_ERROR"
}
```
```json
{
  "message": "Internal server error",
  "type": "SERVER_ERROR"
}
```

### Authorizations
- **Authorization**: required, header, string in the form `Bearer <token>`, where `<token>` is your auth token.

### Required Headers
- **x-fabric-tenant-id**: required, identifies the tenant making the request; retrieve from Copilot.
- **x-fabric-channel-id**: required, identifies the sales channel (12 for US, 13 for Canada).
